Bug 1501812 (CVE-2017-1000393) - CVE-2017-1000393 jenkins: Arbitrary shell command execution on master by users with Agent-related permissions (SECURITY-478)
Summary: CVE-2017-1000393 jenkins: Arbitrary shell command execution on master by user...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-1000393
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1501967 1515065 1515066
Blocks: 1501826
TreeView+ depends on / blocked
 
Reported: 2017-10-13 09:20 UTC by Adam Mariš
Modified: 2021-02-17 01:23 UTC (History)
13 users (show)

Fixed In Version: jenkins 2.73.2, jenkins 2.83
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-20 21:16:39 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-10-13 09:20:42 UTC
Users with permission to create or configure agents in Jenkins could configure a launch method called Launch agent via execution of command on master. This allowed them to run arbitrary shell commands on the master node whenever the agent was supposed to be launched.

External References:

https://jenkins.io/security/advisory/2017-10-11/

Comment 1 Kurt Seifried 2017-10-13 15:33:50 UTC
Created jenkins tracking bugs for this issue:

Affects: openshift-1 [bug 1501967]

Comment 2 Mark Knowles 2017-11-20 05:45:23 UTC
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1515065]

Comment 4 Jason Shepherd 2018-04-03 04:10:43 UTC
openshift3/jenkins-2-rhel7 now uses version 2.89.2

Marking Openshift Enteprise 3 as not affected.

Comment 5 Product Security DevOps Team 2020-05-20 21:16:39 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-1000393


Note You need to log in before you can comment on or make changes to this bug.